--script for http://www.dittotv.com/livetv/all/0 (03/11/2015)

   local UpdateID = 'DittoTV_TV01'
   local UseLocalLogo = nil

if UseLocalLogo == nil then
   local fhandle = io.open (m_simpleTV.MainScriptDir ..  "user/tvplaylists/tvmenu.ini")   
   if fhandle == nil then 
      UseLocalLogo = '1'
      return
   end
   local str = fhandle:read('*a')
   fhandle:close()

   UseLocalLogo = string.match(str,'UseLocalLogo=(%d);')
   if UseLocalLogo == nil then UseLocalLogo = 0 end
end

if UseLocalLogo == '1' then
   local sqlstr = 'Select main.id,main.pict from main where main.updateid like "%DittoTV_%";'
   local dTable = m_simpleTV.Database.GetTable(sqlstr)
   if dTable ~= nil and dTable[1] ~= nil then
     for k, v in ipairs(dTable) do 
        --debug_in_file(v.id .. '  ' .. v.pict .. '\n')
        m_simpleTV.Database.ExecuteSql('DELETE FROM Main WHERE (Main.Id=' .. v.id .. ');',true) 
     end
   end
end
-----------------------------------------------

 local session = m_simpleTV.WinInet.New("Opera/9.80 (Windows NT 6.1; U; ru) Presto/2.9.168 Version/11.52")
 if session == nil then return end

  --INTERNET_OPTION_CONNECT_TIMEOUT
  m_simpleTV.WinInet.SetOptionInt(session,2,5000,0)
  --INTERNET_OPTION_RECEIVE_TIMEOUT
  m_simpleTV.WinInet.SetOptionInt(session,6,8000,0)
-------------------------------------------

  local t = {'http://www.dittotv.com/livetv/all/0','http://www.dittotv.com/livetv/all/1'}
  local i = 1
  local tmp=''

  while true do
       if t[i] == nil then break end
         local rc,answer=m_simpleTV.WinInet.Get(session,t[i])
       
        if rc~=200 then
       	   m_simpleTV.WinInet.Close(session)
       	   m_simpleTV.OSD.ShowMessage("Connection error - " .. rc ,255,10)
       	   return
        end
       answer = string.gsub(answer,'&amp;','&')
       tmp = tmp .. answer 
      
        i=i+1
  end
--debug_in_file(tmp)

local m3ustr = '#EXTM3U\n'
local name,adr,img
local grp = 'DittoTV'

 for w in string.gmatch(tmp,'<div class="subpattern2(.-)</div>') do

	adr = findpattern (w,'href="(.-)"',1,6,1)
	name = findpattern (w,'alt="(.-)"',1,5,1)
 	img = findpattern (w,'<img src="(.-)"',1,10,1)     
	if adr == nil or name == nil or img == nil then break end
	adr = 'http://www.dittotv.com' .. adr
        name = string.gsub(name,',','')
 
          if UseLocalLogo == '1' then    

              m3ustr = m3ustr .. '#EXTINF:-1 update-code="' .. UpdateID .. grp .. name .. '" group-title="' .. grp .. '",' .. name .. '\n' .. adr .. '\n'

           elseif UseLocalLogo ~= '1' then

             m3ustr = m3ustr .. '#EXTINF:-1 update-code="' .. UpdateID .. grp .. name .. '" group-title="' .. grp .. '" tvg-logo="' .. img .. '",' .. name .. '\n' .. adr .. '\n'

         end

 end

--debug_in_file(m3ustr)
--do return end

m_simpleTV.WinInet.Close(session)

local  tmpName = m_simpleTV.Common.GetTmpName()
if tmpName == nil then return end 

 local tfile = io.open(tmpName,'w+')
 if tfile == nil then 
     os.remove(tmpName)
     return
 end

 tfile:write(m3ustr)
 tfile:close() 


  --опции  для загрузки плейлиста 
local p={}
p.TypeSourse = 1
p.DeleteBeforeLoad = 0
p.TypeSkip   = 1
p.TypeFind =   0
p.AutoSearch = 1
p.NumberM3U =  1
p.Find_Group = 1
p.TypeCoding = 1  --  -1-auto  0 - plane text  1- UTF8  2- unicode
p.BorpasFileFormat=1
p.AutoNumber = 0
p.ExtFilter = 'DittoTV'
p.ExtFilterLogo =  '..\\Channel\\logo\\extFiltersLogo\\ditto.png'   -- the logo of extended filter (from ver. 0.4.8 b9)
p.ExtFilterLogoForce = 0
p.UpdateID=UpdateID

local err,add,ref,names = m_simpleTV.Common.LoadPlayList (tmpName,p,0,true,false)
os.remove(tmpName)

if err==true then
     local mess = "DittoTV - channels updated (" .. add .. ")"
	 if add > 0 and add < 25 then 
	    names = string.gsub(names,'%$end','\n')
		mess = mess .. '\n' .. names
	 end
	 
	 m_simpleTV.OSD.ShowMessage(mess,0x37BEDF,3) 
  end